package business;

import java.awt.Color;

public class Configuracion {

	private static Color colorVertice;
	private static Color colorVerticeSeleccionado;
	private static Color colorVerticeSolucion;
	private static Color colorArista;
	private static Color colorAristaSeleccionada;
	private static Color colorAristaSolucion;
	private static boolean panelesConfirmacion;
	private static boolean modoArbol;
	private static Integer X3D;
	private static Integer Y3D;

	public Configuracion() {
		colorVertice = Color.CYAN;
		colorVerticeSeleccionado = Color.ORANGE;
		colorVerticeSolucion = Color.MAGENTA;
		colorArista = Color.GREEN;
		colorAristaSeleccionada = Color.ORANGE;
		colorAristaSolucion = Color.MAGENTA;
		panelesConfirmacion = true;
		modoArbol = false;
		X3D = 200;
		Y3D = 100;
	}


	public static Color getColorVertice() {
		return colorVertice;
	}

	public static void setColorVertice(Color colorVertice) {
		Configuracion.colorVertice = colorVertice;
	}

	public static Color getColorVerticeSeleccionado() {
		return colorVerticeSeleccionado;
	}

	public static void setColorVerticeSeleccionado(Color colorVerticeSeleccionado) {
		Configuracion.colorVerticeSeleccionado = colorVerticeSeleccionado;
	}

	public static Color getColorVerticeSolucion() {
		return colorVerticeSolucion;
	}

	public static void setColorVerticeSolucion(Color colorVerticeSolucion) {
		Configuracion.colorVerticeSolucion = colorVerticeSolucion;
	}

	public static Color getColorArista() {
		return colorArista;
	}

	public static void setColorArista(Color colorArista) {
		Configuracion.colorArista = colorArista;
	}

	public static Color getColorAristaSeleccionada() {
		return colorAristaSeleccionada;
	}

	public static void setColorAristaSeleccionada(Color colorAristaSeleccionada) {
		Configuracion.colorAristaSeleccionada = colorAristaSeleccionada;
	}

	public static Color getColorAristaSolucion() {
		return colorAristaSolucion;
	}

	public static void setColorAristaSolucion(Color colorAristaSolucion) {
		Configuracion.colorAristaSolucion = colorAristaSolucion;
	}

	public static boolean isPanelesConfirmacion() {
		return panelesConfirmacion;
	}


	public static void setPanelesConfirmacion(boolean panelesConfirmacion) {
		Configuracion.panelesConfirmacion = panelesConfirmacion;
	}


	public static boolean isModoArbol() {
		return modoArbol;
	}


	public static void setModoArbol(boolean modoArbol) {
		Configuracion.modoArbol = modoArbol;
	}


	public static Integer getX3D() {
		return X3D;
	}

	public static void setX3D(Integer x3d) {
		X3D = x3d;
	}

	public static Integer getY3D() {
		return Y3D;
	}

	public static void setY3D(Integer y3d) {
		Y3D = y3d;
	}

}